
-- VHDL Test Bench Created from source file cfg_selector.vhd -- 18:23:39 04/01/2002
--
-- Notes: 
-- This testbench has been automatically generated using types std_logic and
-- std_logic_vector for the ports of the unit under test.  Xilinx recommends 
-- that these types always be used for the top-level I/O of a design in order 
-- to guarantee that the testbench will bind correctly to the post-implementation 
-- simulation model.
--
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE behavior OF testbench IS 

	COMPONENT cfg_selector
	PORT(
		CLK : IN std_logic;
		RST : IN std_logic;
		SWITCH : IN std_logic;
		DONE : IN std_logic;
		MSEC : IN std_logic;          
		CFG_ENB : OUT std_logic
		);
	END COMPONENT;

	constant PERIOD_DATA : time := 500 ns;
	constant PERIOD : time := 54.253 ns;

	SIGNAL CLK :  std_logic := '0';
	SIGNAL RST :  std_logic;
	SIGNAL SWITCH :  std_logic := '0';
	SIGNAL DONE :  std_logic;
	SIGNAL MSEC :  std_logic := '0';
	SIGNAL CFG_ENB :  std_logic;

BEGIN

	uut: cfg_selector PORT MAP(
		CLK => CLK,
		RST => RST,
		SWITCH => SWITCH,
		DONE => DONE,
		MSEC => MSEC,
		CFG_ENB => CFG_ENB
	);

-- CLOCK
process begin
	wait for PERIOD*2;
	DONE <= '0';
	wait for PERIOD*10;
	DONE <= '1';
	wait for PERIOD*10;
	DONE <= '0';
	wait for PERIOD*10;
	DONE <= '1';
	wait for PERIOD*10;
	DONE <= '0';
	
end process;


-- MSEC
process begin
	wait for PERIOD*20;
	SWITCH <= not SWITCH;

	wait for PERIOD * 3;
	SWITCH <= not SWITCH;

end process;

-- MSEC
process begin
	wait for PERIOD*30;
	MSEC <= not MSEC;

	wait for PERIOD;
	MSEC <= not MSEC;

end process;
-- RST
process begin
	wait for PERIOD;
	RST <= '1';
	wait for PERIOD;
	RST <= '0';
	wait;
end process;

-- CLOCK
process begin
	wait for PERIOD/2;
	CLK <= not CLK;
end process;

END;
