-- C:\HDL\CFG_TOP_2\CFG_TOP_WAVE.VHW
-- VHDL Test Bench created by
-- HDL Bencher 2.01
-- Fri May 24 19:18:11 2002
-- 
-- Notes:
-- 1) This testbench has been automatically generated from
--   your Test Bench Waveform
-- 2) To use this as a user modifiable testbench do the following:
--   - Save it as a file with a .vhd extension (i.e. File->Save As...)
--   - Add it to your project as a testbench source (i.e. Project->Add Source...)
-- 

LIBRARY  IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;
USE IEEE.STD_LOGIC_UNSIGNED.ALL;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 87
FILE RESULTS: TEXT OPEN WRITE_MODE IS "results.txt";
	COMPONENT CFG_TOP
		PORT (
			CLK : in  std_logic;
			SW_INIT : in  std_logic;
			RXF_N : in  std_logic;
			RD_N : out  std_logic;
			USB_DATA : in  std_logic_vector (7 DOWNTO 0);
			LED_CFG : out  std_logic;
			LED_DONE : out  std_logic;
			PROG : out  std_logic;
			CCLK : out  std_logic;
			DIN : out  std_logic;
			DONE : in  std_logic
		);
	END COMPONENT;

	SIGNAL CLK : std_logic;
	SIGNAL SW_INIT : std_logic;
	SIGNAL RXF_N : std_logic;
	SIGNAL RD_N : std_logic;
	SIGNAL USB_DATA : std_logic_vector (7 DOWNTO 0);
	SIGNAL LED_CFG : std_logic;
	SIGNAL LED_DONE : std_logic;
	SIGNAL PROG : std_logic;
	SIGNAL CCLK : std_logic;
	SIGNAL DIN : std_logic;
	SIGNAL DONE : std_logic;

BEGIN
	UUT : CFG_TOP
	PORT MAP (
		CLK => CLK,
		SW_INIT => SW_INIT,
		RXF_N => RXF_N,
		RD_N => RD_N,
		USB_DATA => USB_DATA,
		LED_CFG => LED_CFG,
		LED_DONE => LED_DONE,
		PROG => PROG,
		CCLK => CCLK,
		DIN => DIN,
		DONE => DONE
	);

	PROCESS -- clock process
	BEGIN
		CLOCK_LOOP : LOOP
		CLK <= transport '0';
		WAIT FOR 1 ns;
		CLK <= transport '1';
		WAIT FOR 1 ns;
		WAIT FOR 2 ns;
		CLK <= transport '0';
		WAIT FOR 2 ns;
		END LOOP CLOCK_LOOP;
	END PROCESS;

	PROCESS
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_RD_N(
			next_RD_N : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (RD_N /= next_RD_N) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns RD_N="));
				write(TX_LOC, RD_N);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_RD_N);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_PROG(
			next_PROG : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (PROG /= next_PROG) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns PROG="));
				write(TX_LOC, PROG);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_PROG);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_CCLK(
			next_CCLK : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (CCLK /= next_CCLK) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns CCLK="));
				write(TX_LOC, CCLK);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_CCLK);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_DIN(
			next_DIN : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (DIN /= next_DIN) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns DIN="));
				write(TX_LOC, DIN);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_DIN);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_LED_CFG(
			next_LED_CFG : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (LED_CFG /= next_LED_CFG) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns LED_CFG="));
				write(TX_LOC, LED_CFG);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_LED_CFG);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_LED_DONE(
			next_LED_DONE : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (LED_DONE /= next_LED_DONE) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns LED_DONE="));
				write(TX_LOC, LED_DONE);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_LED_DONE);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		RXF_N <= transport '0';
		USB_DATA <= transport std_logic_vector'("00000000"); --0
		DONE <= transport '0';
		-- --------------------
		WAIT FOR 24 ns; -- Time=24 ns
		USB_DATA <= transport std_logic_vector'("00110001"); --31
		-- --------------------
		WAIT FOR 24 ns; -- Time=48 ns
		USB_DATA <= transport std_logic_vector'("00000010"); --2
		-- --------------------
		WAIT FOR 24 ns; -- Time=72 ns
		USB_DATA <= transport std_logic_vector'("00110001"); --31
		-- --------------------
		WAIT FOR 24 ns; -- Time=96 ns
		USB_DATA <= transport std_logic_vector'("00110001"); --31
		-- --------------------
		WAIT FOR 24 ns; -- Time=120 ns
		USB_DATA <= transport std_logic_vector'("00000101"); --5
		-- --------------------
		WAIT FOR 24 ns; -- Time=144 ns
		USB_DATA <= transport std_logic_vector'("00000110"); --6
		-- --------------------
		WAIT FOR 24 ns; -- Time=168 ns
		USB_DATA <= transport std_logic_vector'("00000111"); --7
		-- --------------------
		WAIT FOR 24 ns; -- Time=192 ns
		USB_DATA <= transport std_logic_vector'("00001000"); --8
		-- --------------------
		WAIT FOR 24 ns; -- Time=216 ns
		USB_DATA <= transport std_logic_vector'("00001001"); --9
		-- --------------------
		WAIT FOR 24 ns; -- Time=240 ns
		USB_DATA <= transport std_logic_vector'("00001010"); --A
		-- --------------------
		WAIT FOR 24 ns; -- Time=264 ns
		USB_DATA <= transport std_logic_vector'("00001011"); --B
		-- --------------------
		WAIT FOR 24 ns; -- Time=288 ns
		USB_DATA <= transport std_logic_vector'("00001100"); --C
		-- --------------------
		WAIT FOR 24 ns; -- Time=312 ns
		USB_DATA <= transport std_logic_vector'("00001101"); --D
		-- --------------------
		WAIT FOR 24 ns; -- Time=336 ns
		USB_DATA <= transport std_logic_vector'("00001110"); --E
		-- --------------------
		WAIT FOR 24 ns; -- Time=360 ns
		USB_DATA <= transport std_logic_vector'("00001111"); --F
		-- --------------------
		WAIT FOR 24 ns; -- Time=384 ns
		USB_DATA <= transport std_logic_vector'("00010000"); --10
		-- --------------------
		WAIT FOR 24 ns; -- Time=408 ns
		USB_DATA <= transport std_logic_vector'("00010001"); --11
		-- --------------------
		WAIT FOR 24 ns; -- Time=432 ns
		USB_DATA <= transport std_logic_vector'("00010010"); --12
		-- --------------------
		WAIT FOR 24 ns; -- Time=456 ns
		USB_DATA <= transport std_logic_vector'("00010011"); --13
		-- --------------------
		WAIT FOR 24 ns; -- Time=480 ns
		USB_DATA <= transport std_logic_vector'("00010100"); --14
		-- --------------------
		WAIT FOR 24 ns; -- Time=504 ns
		USB_DATA <= transport std_logic_vector'("00010101"); --15
		-- --------------------
		WAIT FOR 24 ns; -- Time=528 ns
		USB_DATA <= transport std_logic_vector'("00010110"); --16
		-- --------------------
		WAIT FOR 24 ns; -- Time=552 ns
		USB_DATA <= transport std_logic_vector'("00010111"); --17
		-- --------------------
		WAIT FOR 24 ns; -- Time=576 ns
		USB_DATA <= transport std_logic_vector'("00011000"); --18
		-- --------------------
		WAIT FOR 24 ns; -- Time=600 ns
		USB_DATA <= transport std_logic_vector'("00011001"); --19
		-- --------------------
		WAIT FOR 24 ns; -- Time=624 ns
		USB_DATA <= transport std_logic_vector'("00011010"); --1A
		-- --------------------
		WAIT FOR 24 ns; -- Time=648 ns
		USB_DATA <= transport std_logic_vector'("00011011"); --1B
		-- --------------------
		WAIT FOR 24 ns; -- Time=672 ns
		USB_DATA <= transport std_logic_vector'("00011100"); --1C
		-- --------------------
		WAIT FOR 24 ns; -- Time=696 ns
		USB_DATA <= transport std_logic_vector'("00011101"); --1D
		-- --------------------
		WAIT FOR 24 ns; -- Time=720 ns
		USB_DATA <= transport std_logic_vector'("00011110"); --1E
		-- --------------------
		WAIT FOR 24 ns; -- Time=744 ns
		USB_DATA <= transport std_logic_vector'("00011111"); --1F
		-- --------------------
		WAIT FOR 24 ns; -- Time=768 ns
		USB_DATA <= transport std_logic_vector'("00100000"); --20
		-- --------------------
		WAIT FOR 24 ns; -- Time=792 ns
		USB_DATA <= transport std_logic_vector'("00100001"); --21
		-- --------------------
		WAIT FOR 24 ns; -- Time=816 ns
		USB_DATA <= transport std_logic_vector'("00100010"); --22
		-- --------------------
		WAIT FOR 24 ns; -- Time=840 ns
		USB_DATA <= transport std_logic_vector'("00100011"); --23
		-- --------------------
		WAIT FOR 24 ns; -- Time=864 ns
		USB_DATA <= transport std_logic_vector'("00100100"); --24
		-- --------------------
		WAIT FOR 24 ns; -- Time=888 ns
		USB_DATA <= transport std_logic_vector'("00100101"); --25
		-- --------------------
		WAIT FOR 24 ns; -- Time=912 ns
		USB_DATA <= transport std_logic_vector'("00100110"); --26
		-- --------------------
		WAIT FOR 24 ns; -- Time=936 ns
		USB_DATA <= transport std_logic_vector'("00100111"); --27
		-- --------------------
		WAIT FOR 24 ns; -- Time=960 ns
		USB_DATA <= transport std_logic_vector'("00101000"); --28
		-- --------------------
		WAIT FOR 24 ns; -- Time=984 ns
		USB_DATA <= transport std_logic_vector'("00101001"); --29
		-- --------------------
		WAIT FOR 24 ns; -- Time=1008 ns
		USB_DATA <= transport std_logic_vector'("00101010"); --2A
		-- --------------------
		WAIT FOR 24 ns; -- Time=1032 ns
		USB_DATA <= transport std_logic_vector'("00101011"); --2B
		-- --------------------
		WAIT FOR 24 ns; -- Time=1056 ns
		USB_DATA <= transport std_logic_vector'("00101100"); --2C
		-- --------------------
		WAIT FOR 24 ns; -- Time=1080 ns
		USB_DATA <= transport std_logic_vector'("00101101"); --2D
		-- --------------------
		WAIT FOR 24 ns; -- Time=1104 ns
		USB_DATA <= transport std_logic_vector'("00101110"); --2E
		-- --------------------
		WAIT FOR 24 ns; -- Time=1128 ns
		USB_DATA <= transport std_logic_vector'("00101111"); --2F
		-- --------------------
		WAIT FOR 24 ns; -- Time=1152 ns
		USB_DATA <= transport std_logic_vector'("00110000"); --30
		-- --------------------
		WAIT FOR 24 ns; -- Time=1176 ns
		USB_DATA <= transport std_logic_vector'("00110001"); --31
		-- --------------------
		WAIT FOR 24 ns; -- Time=1200 ns
		USB_DATA <= transport std_logic_vector'("00110010"); --32
		-- --------------------
		WAIT FOR 24 ns; -- Time=1224 ns
		USB_DATA <= transport std_logic_vector'("00110011"); --33
		-- --------------------
		WAIT FOR 24 ns; -- Time=1248 ns
		USB_DATA <= transport std_logic_vector'("00110100"); --34
		-- --------------------
		WAIT FOR 24 ns; -- Time=1272 ns
		USB_DATA <= transport std_logic_vector'("00110101"); --35
		-- --------------------
		WAIT FOR 24 ns; -- Time=1296 ns
		USB_DATA <= transport std_logic_vector'("00110110"); --36
		-- --------------------
		WAIT FOR 24 ns; -- Time=1320 ns
		USB_DATA <= transport std_logic_vector'("00110111"); --37
		-- --------------------
		WAIT FOR 24 ns; -- Time=1344 ns
		USB_DATA <= transport std_logic_vector'("00111000"); --38
		-- --------------------
		WAIT FOR 24 ns; -- Time=1368 ns
		USB_DATA <= transport std_logic_vector'("00111001"); --39
		-- --------------------
		WAIT FOR 24 ns; -- Time=1392 ns
		USB_DATA <= transport std_logic_vector'("00111010"); --3A
		-- --------------------
		WAIT FOR 24 ns; -- Time=1416 ns
		USB_DATA <= transport std_logic_vector'("00111011"); --3B
		-- --------------------
		WAIT FOR 24 ns; -- Time=1440 ns
		USB_DATA <= transport std_logic_vector'("00111100"); --3C
		-- --------------------
		WAIT FOR 24 ns; -- Time=1464 ns
		USB_DATA <= transport std_logic_vector'("00111101"); --3D
		-- --------------------
		WAIT FOR 24 ns; -- Time=1488 ns
		USB_DATA <= transport std_logic_vector'("00111110"); --3E
		-- --------------------
		WAIT FOR 24 ns; -- Time=1512 ns
		USB_DATA <= transport std_logic_vector'("00111111"); --3F
		-- --------------------
		WAIT FOR 24 ns; -- Time=1536 ns
		USB_DATA <= transport std_logic_vector'("01000000"); --40
		-- --------------------
		WAIT FOR 24 ns; -- Time=1560 ns
		USB_DATA <= transport std_logic_vector'("01000001"); --41
		-- --------------------
		WAIT FOR 24 ns; -- Time=1584 ns
		USB_DATA <= transport std_logic_vector'("01000010"); --42
		-- --------------------
		WAIT FOR 24 ns; -- Time=1608 ns
		USB_DATA <= transport std_logic_vector'("01000011"); --43
		-- --------------------
		WAIT FOR 24 ns; -- Time=1632 ns
		USB_DATA <= transport std_logic_vector'("01000100"); --44
		-- --------------------
		WAIT FOR 24 ns; -- Time=1656 ns
		USB_DATA <= transport std_logic_vector'("01000101"); --45
		-- --------------------
		WAIT FOR 24 ns; -- Time=1680 ns
		USB_DATA <= transport std_logic_vector'("01000110"); --46
		-- --------------------
		WAIT FOR 24 ns; -- Time=1704 ns
		USB_DATA <= transport std_logic_vector'("01000111"); --47
		-- --------------------
		WAIT FOR 24 ns; -- Time=1728 ns
		USB_DATA <= transport std_logic_vector'("01001000"); --48
		-- --------------------
		WAIT FOR 24 ns; -- Time=1752 ns
		USB_DATA <= transport std_logic_vector'("01001001"); --49
		-- --------------------
		WAIT FOR 24 ns; -- Time=1776 ns
		USB_DATA <= transport std_logic_vector'("01001010"); --4A
		-- --------------------
		WAIT FOR 24 ns; -- Time=1800 ns
		USB_DATA <= transport std_logic_vector'("01001011"); --4B
		-- --------------------
		WAIT FOR 24 ns; -- Time=1824 ns
		USB_DATA <= transport std_logic_vector'("01001100"); --4C
		-- --------------------
		WAIT FOR 24 ns; -- Time=1848 ns
		USB_DATA <= transport std_logic_vector'("01001101"); --4D
		-- --------------------
		WAIT FOR 24 ns; -- Time=1872 ns
		USB_DATA <= transport std_logic_vector'("01001110"); --4E
		-- --------------------
		WAIT FOR 24 ns; -- Time=1896 ns
		USB_DATA <= transport std_logic_vector'("01001111"); --4F
		-- --------------------
		WAIT FOR 24 ns; -- Time=1920 ns
		USB_DATA <= transport std_logic_vector'("01010000"); --50
		-- --------------------
		WAIT FOR 24 ns; -- Time=1944 ns
		USB_DATA <= transport std_logic_vector'("01010001"); --51
		-- --------------------
		WAIT FOR 24 ns; -- Time=1968 ns
		USB_DATA <= transport std_logic_vector'("01010010"); --52
		-- --------------------
		WAIT FOR 24 ns; -- Time=1992 ns
		USB_DATA <= transport std_logic_vector'("01010011"); --53
		-- --------------------
		WAIT FOR 24 ns; -- Time=2016 ns
		USB_DATA <= transport std_logic_vector'("01010100"); --54
		-- --------------------
		WAIT FOR 24 ns; -- Time=2040 ns
		USB_DATA <= transport std_logic_vector'("01010101"); --55
		-- --------------------
		WAIT FOR 24 ns; -- Time=2064 ns
		USB_DATA <= transport std_logic_vector'("01010110"); --56
		-- --------------------
		WAIT FOR 24 ns; -- Time=2088 ns
		USB_DATA <= transport std_logic_vector'("01010111"); --57
		-- --------------------
		WAIT FOR 24 ns; -- Time=2112 ns
		USB_DATA <= transport std_logic_vector'("01011000"); --58
		-- --------------------
		WAIT FOR 24 ns; -- Time=2136 ns
		USB_DATA <= transport std_logic_vector'("01011001"); --59
		-- --------------------
		WAIT FOR 24 ns; -- Time=2160 ns
		USB_DATA <= transport std_logic_vector'("01011010"); --5A
		-- --------------------
		WAIT FOR 24 ns; -- Time=2184 ns
		USB_DATA <= transport std_logic_vector'("01011011"); --5B
		-- --------------------
		WAIT FOR 24 ns; -- Time=2208 ns
		USB_DATA <= transport std_logic_vector'("01011100"); --5C
		-- --------------------
		WAIT FOR 24 ns; -- Time=2232 ns
		USB_DATA <= transport std_logic_vector'("01011101"); --5D
		-- --------------------
		WAIT FOR 24 ns; -- Time=2256 ns
		USB_DATA <= transport std_logic_vector'("01011110"); --5E
		-- --------------------
		WAIT FOR 24 ns; -- Time=2280 ns
		USB_DATA <= transport std_logic_vector'("01011111"); --5F
		-- --------------------
		WAIT FOR 24 ns; -- Time=2304 ns
		USB_DATA <= transport std_logic_vector'("01100000"); --60
		-- --------------------
		WAIT FOR 24 ns; -- Time=2328 ns
		USB_DATA <= transport std_logic_vector'("01100001"); --61
		-- --------------------
		WAIT FOR 24 ns; -- Time=2352 ns
		USB_DATA <= transport std_logic_vector'("01100010"); --62
		-- --------------------
		WAIT FOR 24 ns; -- Time=2376 ns
		USB_DATA <= transport std_logic_vector'("01100011"); --63
		-- --------------------
		WAIT FOR 24 ns; -- Time=2400 ns
		USB_DATA <= transport std_logic_vector'("01100100"); --64
		-- --------------------
		WAIT FOR 24 ns; -- Time=2424 ns
		USB_DATA <= transport std_logic_vector'("01100101"); --65
		-- --------------------
		WAIT FOR 24 ns; -- Time=2448 ns
		USB_DATA <= transport std_logic_vector'("01100110"); --66
		-- --------------------
		WAIT FOR 24 ns; -- Time=2472 ns
		USB_DATA <= transport std_logic_vector'("01100111"); --67
		-- --------------------
		WAIT FOR 24 ns; -- Time=2496 ns
		USB_DATA <= transport std_logic_vector'("01101000"); --68
		-- --------------------
		WAIT FOR 24 ns; -- Time=2520 ns
		USB_DATA <= transport std_logic_vector'("01101001"); --69
		-- --------------------
		WAIT FOR 24 ns; -- Time=2544 ns
		USB_DATA <= transport std_logic_vector'("01101010"); --6A
		-- --------------------
		WAIT FOR 24 ns; -- Time=2568 ns
		USB_DATA <= transport std_logic_vector'("01101011"); --6B
		-- --------------------
		WAIT FOR 24 ns; -- Time=2592 ns
		USB_DATA <= transport std_logic_vector'("01101100"); --6C
		-- --------------------
		WAIT FOR 24 ns; -- Time=2616 ns
		USB_DATA <= transport std_logic_vector'("01101101"); --6D
		-- --------------------
		WAIT FOR 24 ns; -- Time=2640 ns
		USB_DATA <= transport std_logic_vector'("01101110"); --6E
		-- --------------------
		WAIT FOR 24 ns; -- Time=2664 ns
		USB_DATA <= transport std_logic_vector'("01101111"); --6F
		-- --------------------
		WAIT FOR 24 ns; -- Time=2688 ns
		USB_DATA <= transport std_logic_vector'("01110000"); --70
		-- --------------------
		WAIT FOR 24 ns; -- Time=2712 ns
		USB_DATA <= transport std_logic_vector'("01110001"); --71
		-- --------------------
		WAIT FOR 24 ns; -- Time=2736 ns
		USB_DATA <= transport std_logic_vector'("01110010"); --72
		-- --------------------
		WAIT FOR 24 ns; -- Time=2760 ns
		USB_DATA <= transport std_logic_vector'("01110011"); --73
		-- --------------------
		WAIT FOR 24 ns; -- Time=2784 ns
		USB_DATA <= transport std_logic_vector'("01110100"); --74
		-- --------------------
		WAIT FOR 24 ns; -- Time=2808 ns
		USB_DATA <= transport std_logic_vector'("01110101"); --75
		-- --------------------
		WAIT FOR 24 ns; -- Time=2832 ns
		USB_DATA <= transport std_logic_vector'("01110110"); --76
		-- --------------------
		WAIT FOR 24 ns; -- Time=2856 ns
		USB_DATA <= transport std_logic_vector'("01110111"); --77
		-- --------------------
		WAIT FOR 24 ns; -- Time=2880 ns
		USB_DATA <= transport std_logic_vector'("01111000"); --78
		-- --------------------
		WAIT FOR 24 ns; -- Time=2904 ns
		USB_DATA <= transport std_logic_vector'("01111001"); --79
		-- --------------------
		WAIT FOR 24 ns; -- Time=2928 ns
		USB_DATA <= transport std_logic_vector'("01111010"); --7A
		-- --------------------
		WAIT FOR 24 ns; -- Time=2952 ns
		USB_DATA <= transport std_logic_vector'("01111011"); --7B
		-- --------------------
		WAIT FOR 24 ns; -- Time=2976 ns
		USB_DATA <= transport std_logic_vector'("01111100"); --7C
		-- --------------------
		WAIT FOR 24 ns; -- Time=3000 ns
		USB_DATA <= transport std_logic_vector'("01111101"); --7D
		-- --------------------
		WAIT FOR 24 ns; -- Time=3024 ns
		USB_DATA <= transport std_logic_vector'("01111110"); --7E
		-- --------------------
		WAIT FOR 24 ns; -- Time=3048 ns
		USB_DATA <= transport std_logic_vector'("01111111"); --7F
		-- --------------------
		WAIT FOR 24 ns; -- Time=3072 ns
		USB_DATA <= transport std_logic_vector'("10000000"); --80
		-- --------------------
		WAIT FOR 24 ns; -- Time=3096 ns
		USB_DATA <= transport std_logic_vector'("10000001"); --81
		-- --------------------
		WAIT FOR 24 ns; -- Time=3120 ns
		USB_DATA <= transport std_logic_vector'("10000010"); --82
		-- --------------------
		WAIT FOR 24 ns; -- Time=3144 ns
		USB_DATA <= transport std_logic_vector'("10000011"); --83
		-- --------------------
		WAIT FOR 24 ns; -- Time=3168 ns
		USB_DATA <= transport std_logic_vector'("10000100"); --84
		-- --------------------
		WAIT FOR 24 ns; -- Time=3192 ns
		USB_DATA <= transport std_logic_vector'("10000101"); --85
		-- --------------------
		WAIT FOR 24 ns; -- Time=3216 ns
		USB_DATA <= transport std_logic_vector'("10000110"); --86
		-- --------------------
		WAIT FOR 24 ns; -- Time=3240 ns
		USB_DATA <= transport std_logic_vector'("10000111"); --87
		-- --------------------
		WAIT FOR 24 ns; -- Time=3264 ns
		USB_DATA <= transport std_logic_vector'("10001000"); --88
		-- --------------------
		WAIT FOR 24 ns; -- Time=3288 ns
		USB_DATA <= transport std_logic_vector'("10001001"); --89
		-- --------------------
		WAIT FOR 24 ns; -- Time=3312 ns
		USB_DATA <= transport std_logic_vector'("10001010"); --8A
		-- --------------------
		WAIT FOR 24 ns; -- Time=3336 ns
		USB_DATA <= transport std_logic_vector'("10001011"); --8B
		-- --------------------
		WAIT FOR 24 ns; -- Time=3360 ns
		USB_DATA <= transport std_logic_vector'("10001100"); --8C
		-- --------------------
		WAIT FOR 24 ns; -- Time=3384 ns
		USB_DATA <= transport std_logic_vector'("10001101"); --8D
		-- --------------------
		WAIT FOR 24 ns; -- Time=3408 ns
		USB_DATA <= transport std_logic_vector'("10001110"); --8E
		-- --------------------
		WAIT FOR 24 ns; -- Time=3432 ns
		USB_DATA <= transport std_logic_vector'("10001111"); --8F
		-- --------------------
		WAIT FOR 24 ns; -- Time=3456 ns
		USB_DATA <= transport std_logic_vector'("10010000"); --90
		-- --------------------
		WAIT FOR 24 ns; -- Time=3480 ns
		USB_DATA <= transport std_logic_vector'("10010001"); --91
		-- --------------------
		WAIT FOR 24 ns; -- Time=3504 ns
		USB_DATA <= transport std_logic_vector'("10010010"); --92
		-- --------------------
		WAIT FOR 24 ns; -- Time=3528 ns
		USB_DATA <= transport std_logic_vector'("10010011"); --93
		-- --------------------
		WAIT FOR 24 ns; -- Time=3552 ns
		USB_DATA <= transport std_logic_vector'("10010100"); --94
		-- --------------------
		WAIT FOR 24 ns; -- Time=3576 ns
		USB_DATA <= transport std_logic_vector'("10010101"); --95
		-- --------------------
		WAIT FOR 24 ns; -- Time=3600 ns
		USB_DATA <= transport std_logic_vector'("10010110"); --96
		-- --------------------
		WAIT FOR 24 ns; -- Time=3624 ns
		USB_DATA <= transport std_logic_vector'("10010111"); --97
		-- --------------------
		WAIT FOR 24 ns; -- Time=3648 ns
		USB_DATA <= transport std_logic_vector'("10011000"); --98
		-- --------------------
		WAIT FOR 24 ns; -- Time=3672 ns
		USB_DATA <= transport std_logic_vector'("10011001"); --99
		-- --------------------
		WAIT FOR 24 ns; -- Time=3696 ns
		USB_DATA <= transport std_logic_vector'("10011010"); --9A
		-- --------------------
		WAIT FOR 24 ns; -- Time=3720 ns
		USB_DATA <= transport std_logic_vector'("10011011"); --9B
		-- --------------------
		WAIT FOR 24 ns; -- Time=3744 ns
		USB_DATA <= transport std_logic_vector'("10011100"); --9C
		-- --------------------
		WAIT FOR 24 ns; -- Time=3768 ns
		USB_DATA <= transport std_logic_vector'("10011101"); --9D
		-- --------------------
		WAIT FOR 24 ns; -- Time=3792 ns
		USB_DATA <= transport std_logic_vector'("10011110"); --9E
		-- --------------------
		WAIT FOR 24 ns; -- Time=3816 ns
		USB_DATA <= transport std_logic_vector'("10011111"); --9F
		-- --------------------
		WAIT FOR 24 ns; -- Time=3840 ns
		USB_DATA <= transport std_logic_vector'("10100000"); --A0
		-- --------------------
		WAIT FOR 24 ns; -- Time=3864 ns
		USB_DATA <= transport std_logic_vector'("10100001"); --A1
		-- --------------------
		WAIT FOR 24 ns; -- Time=3888 ns
		USB_DATA <= transport std_logic_vector'("10100010"); --A2
		-- --------------------
		WAIT FOR 24 ns; -- Time=3912 ns
		USB_DATA <= transport std_logic_vector'("10100011"); --A3
		-- --------------------
		WAIT FOR 24 ns; -- Time=3936 ns
		USB_DATA <= transport std_logic_vector'("10100100"); --A4
		-- --------------------
		WAIT FOR 24 ns; -- Time=3960 ns
		USB_DATA <= transport std_logic_vector'("10100101"); --A5
		-- --------------------
		WAIT FOR 24 ns; -- Time=3984 ns
		USB_DATA <= transport std_logic_vector'("10100110"); --A6
		-- --------------------
		WAIT FOR 24 ns; -- Time=4008 ns
		USB_DATA <= transport std_logic_vector'("10100111"); --A7
		-- --------------------
		WAIT FOR 24 ns; -- Time=4032 ns
		USB_DATA <= transport std_logic_vector'("10101000"); --A8
		-- --------------------
		WAIT FOR 24 ns; -- Time=4056 ns
		USB_DATA <= transport std_logic_vector'("10101001"); --A9
		-- --------------------
		WAIT FOR 24 ns; -- Time=4080 ns
		USB_DATA <= transport std_logic_vector'("10101010"); --AA
		-- --------------------
		WAIT FOR 24 ns; -- Time=4104 ns
		USB_DATA <= transport std_logic_vector'("10101011"); --AB
		-- --------------------
		WAIT FOR 24 ns; -- Time=4128 ns
		USB_DATA <= transport std_logic_vector'("10101100"); --AC
		-- --------------------
		WAIT FOR 24 ns; -- Time=4152 ns
		USB_DATA <= transport std_logic_vector'("10101101"); --AD
		-- --------------------
		WAIT FOR 24 ns; -- Time=4176 ns
		USB_DATA <= transport std_logic_vector'("10101110"); --AE
		-- --------------------
		WAIT FOR 24 ns; -- Time=4200 ns
		USB_DATA <= transport std_logic_vector'("10101111"); --AF
		-- --------------------
		WAIT FOR 24 ns; -- Time=4224 ns
		USB_DATA <= transport std_logic_vector'("10110000"); --B0
		-- --------------------
		WAIT FOR 24 ns; -- Time=4248 ns
		USB_DATA <= transport std_logic_vector'("10110001"); --B1
		-- --------------------
		WAIT FOR 24 ns; -- Time=4272 ns
		USB_DATA <= transport std_logic_vector'("10110010"); --B2
		-- --------------------
		WAIT FOR 24 ns; -- Time=4296 ns
		USB_DATA <= transport std_logic_vector'("10110011"); --B3
		-- --------------------
		WAIT FOR 24 ns; -- Time=4320 ns
		USB_DATA <= transport std_logic_vector'("10110100"); --B4
		-- --------------------
		WAIT FOR 24 ns; -- Time=4344 ns
		USB_DATA <= transport std_logic_vector'("10110101"); --B5
		-- --------------------
		WAIT FOR 24 ns; -- Time=4368 ns
		USB_DATA <= transport std_logic_vector'("10110110"); --B6
		-- --------------------
		WAIT FOR 24 ns; -- Time=4392 ns
		USB_DATA <= transport std_logic_vector'("10110111"); --B7
		-- --------------------
		WAIT FOR 24 ns; -- Time=4416 ns
		USB_DATA <= transport std_logic_vector'("10111000"); --B8
		-- --------------------
		WAIT FOR 24 ns; -- Time=4440 ns
		USB_DATA <= transport std_logic_vector'("10111001"); --B9
		-- --------------------
		WAIT FOR 24 ns; -- Time=4464 ns
		USB_DATA <= transport std_logic_vector'("10111010"); --BA
		-- --------------------
		WAIT FOR 24 ns; -- Time=4488 ns
		USB_DATA <= transport std_logic_vector'("10111011"); --BB
		-- --------------------
		WAIT FOR 24 ns; -- Time=4512 ns
		USB_DATA <= transport std_logic_vector'("10111100"); --BC
		-- --------------------
		WAIT FOR 24 ns; -- Time=4536 ns
		USB_DATA <= transport std_logic_vector'("10111101"); --BD
		-- --------------------
		WAIT FOR 24 ns; -- Time=4560 ns
		USB_DATA <= transport std_logic_vector'("10111110"); --BE
		-- --------------------
		WAIT FOR 24 ns; -- Time=4584 ns
		USB_DATA <= transport std_logic_vector'("10111111"); --BF
		-- --------------------
		WAIT FOR 24 ns; -- Time=4608 ns
		USB_DATA <= transport std_logic_vector'("11000000"); --C0
		-- --------------------
		WAIT FOR 24 ns; -- Time=4632 ns
		USB_DATA <= transport std_logic_vector'("11000001"); --C1
		-- --------------------
		WAIT FOR 24 ns; -- Time=4656 ns
		USB_DATA <= transport std_logic_vector'("11000010"); --C2
		-- --------------------
		WAIT FOR 24 ns; -- Time=4680 ns
		USB_DATA <= transport std_logic_vector'("11000011"); --C3
		-- --------------------
		WAIT FOR 24 ns; -- Time=4704 ns
		USB_DATA <= transport std_logic_vector'("11000100"); --C4
		-- --------------------
		WAIT FOR 24 ns; -- Time=4728 ns
		USB_DATA <= transport std_logic_vector'("11000101"); --C5
		-- --------------------
		WAIT FOR 24 ns; -- Time=4752 ns
		USB_DATA <= transport std_logic_vector'("11000110"); --C6
		-- --------------------
		WAIT FOR 24 ns; -- Time=4776 ns
		USB_DATA <= transport std_logic_vector'("11000111"); --C7
		-- --------------------
		WAIT FOR 1198 ns; -- Time=5974 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
				" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION CFG_TOP_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END CFG_TOP_cfg;
